Bug 134091 - Language Model Accuracy
Language Model Accuracy
Status: RESOLVED FIXED
Product: cnd
Classification: Unclassified
Component: Code Model
6.x
All All
: P2 (vote)
: 6.x
Assigned To: Vladimir Voskresensky
issues@cnd
http://wiki.netbeans.org/CNDLanguageM...
model_accuracy
: PLAN
Depends on: 135321 136102 136140 136146 136157 136161 136165 136167 136170 136175 136481 136627 136734
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-28 17:57 UTC by Vladimir Voskresensky
Modified: 2008-07-09 18:13 UTC (History)
0 users

See Also:
Issue Type: ENHANCEMENT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Vladimir Voskresensky 2008-04-28 17:57:12 UTC
The goal is to measure and improve Language Model Accuracy to have the "first" class support of code model features.
The progress is tracked on http://wiki.netbeans.org/CNDLanguageModelAccuracyTask
Comment 1 Vladimir Voskresensky 2008-06-03 16:25:43 UTC
QA Plan:
M0) Prepare configured projects
M1) Provide infrastructure for generating accuracy numbers of configured project
M2) Provide regular numbers for already configured projects. Extend set of test projects and provide numbers

Dev Plan:
M1) Provide golden data for accuracy testing
M2) Analyze failures and file IZ for the top accuracy problems.
M3) Fix model problems. Select new top problems and fix them.

M0 till Mid May - DONE
M1 till End of May - DONE
M2 till Mid of June - IN PROGRESS
M3 from Mid of June till code freeze 

There will be no UI changes, so this task will not block any NB Milestones like feature freeze and UI freeze.
Comment 2 Vladimir Voskresensky 2008-07-09 18:13:53 UTC
the feature is completed. Goal is reached.
we are in bug fixing state now.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo